Name:      checkinstall
Version:   1.6.1
Release:   alt2

%define    iw_ver    0.7.0beta5
%define    mylibdir  %_libdir/%name
%define    mylang    ru

Summary:   CheckInstall installations tracker
License:   GPL
Group:     System/Configuration/Packaging
Url:       http://checkinstall.izto.org
Source:    %url/files/source/checkinstall-%version.tgz
Patch0:	   %name-1.6.0-alt-misc.patch
Patch1:	   %name-1.6.1-alt-locale.patch

BuildPreReq: gettext-tools
Provides:  libcheckinstall1
Obsoletes: libcheckinstall1
Requires:  rpm-build

Summary(ru_RU.KOI8-R):     RPM-

%description
CheckInstall keeps track of all the files created or modified
by your installation script ("make install", "make install_modules",
"setup", etc), builds a standard binary package and installs it
in your system giving you the ability to uninstall it
with your distribution's  standard package management  utilities.

%description -l ru_RU.KOI8-R
CheckInstall   ,   
   -   ,
, make install, make install_modules, setup  ..

    CheckInstall  RPM-
( deb-  Debian Linux,  tgz-  Slackware)   .

      
   ,     RPM-,
      .

%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p3 -b .locale

echo Fixup library path...
%__subst 's,LIBDIR=$PREFIX/lib,LIBDIR=%mylibdir,'  installwatch-%iw_ver/installwatch
%__subst 's,/usr/local/lib/checkinstall/checkinstallrc,%_sysconfdir/checkinstallrc,' checkinstall
%__subst 's,/usr/local/lib/checkinstall,%mylibdir,' checkinstall

%build
%make_build
mkdir -p %buildroot%_sysconfdir

echo Generate language files...
cd locale
for f in *.po; do
    [ "$f" = "%name-template.po" ] && continue
    %_bindir/msgfmt -o $(basename $f .po).mo $f
done
cd -

%install
%__install -D -m755 checkinstall                         %buildroot%_bindir/checkinstall
%__install -D -m755 makepak                              %buildroot%_sbindir/makepak
%__install    -m755 installwatch-%iw_ver/installwatch    %buildroot%_bindir
%__install -D -m755 installwatch-%iw_ver/installwatch.so %buildroot%mylibdir/installwatch.so
%__install -D -m644 checkinstallrc-dist                  %buildroot%_sysconfdir/checkinstallrc
%__subst 's!#PREFIX#!%_prefix!' %buildroot%_bindir/installwatch

echo Install language files...
cd locale
for f in *.mo; do
    n=${f%%.mo}
    l=${n##%name-}
    %__install -D -m644 $f %buildroot%_datadir/locale/$l/LC_MESSAGES/checkinstall.mo
done
cd -
%find_lang %name

%files -f %name.lang
%doc BUGS COPYING CREDITS Changelog FAQ README RELNOTES TODO
%_bindir/installwatch
%_bindir/checkinstall
%_sbindir/makepak
%mylibdir
%config(noreplace) %_sysconfdir/checkinstallrc

%changelog
* Mon Nov  6 2006 Ilya Evseev <evseev@altlinux.ru> 1.6.1-alt2
- validate patchset for 64-bit platforms

* Sat Nov  4 2006 Ilya Evseev <evseev@altlinux.ru> 1.6.1-alt1
- updated to new version 1.6.1

* Mon Dec 12 2005 Ilya Evseev <evseev@altlinux.ru> 1.6.0-alt2
- bugfix #8625: patch #0 improved for omitting wrong dependencies
  on Debian's dpkg under ALTLinux

* Mon Aug 15 2005 Ilya Evseev <evseev@altlinux.ru> 1.6.0-alt1
- initial build for ALTLinux

* Mon Aug  8 2005 Gtz Waschk <waschk@mandriva.org> 1.6.0-0.beta4.3mdk
- update patch to fix bug 16848 (thanks to sieczka)

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 1.6.0-0.beta4.2mdk
- update patch 0 to fix bug 16110 (thanks to Jan Ciger)

* Thu Dec  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-0.beta4.1mdk
- update patch 0
- new version

* Sat Jun 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.0-0.beta3.2mdk
- require rpm-build

* Mon May  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-0.beta3.1mdk
- rediff patch
- new version

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-0.beta2.1mdk
- fix installation
- rediff the patch
- 1.6.0beta2

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-5mdk
- own %{_libdir}/checkinstall/

* Fri Jul 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-4mdk
- move makepak to %_sbindir as configured in checkinstall

* Fri Jul 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-3mdk
- move the preload library to %{_libdir}/checkinstall/
- merge all patches into one

* Fri Jul 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-2mdk
- remove library package, no soname
- can't be noarch, there's a shared library
- patch2: docdir is /usr/share/doc, default release is 1mdk

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.3-1mdk
- 1.5.3
- url

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- 1.5.2

* Wed Apr 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-3mdk
- patch1: fixes PREFIX in installwatch ( we don't use make install in %%install )

* Sat Jan 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-2mdk
- %name-paths.patch : fix paths in scripts ( thx Rainer Koschnick ) 

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- apply changes from Jorg Pitts <jorgp@bartnet.net> (thx! )
	- new release 1.5.1
	- split package and make rpmlint happier

* Thu Apr 12 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.4.1-1mdk
- First package

## EOF ##
